/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.133 Revision 1.272
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.133 2010/10/30 18:23:26 arfrever Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.272 2014/10/13 19:27:07 pesa Exp $
4
5*PyQt4-4.11.2-r1 (13 Oct 2014)
6
7 13 Oct 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2-r1.ebuild,
8 metadata.xml:
9 Switch to new upstream build system. Introduce USE=testlib to decouple QtTest
10 from QtGui.
11
12 09 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
13 Revert to ~amd64, see bug #523322 comment #4.
14
15 09 Oct 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
16 Stable for amd64, wrt bug #523322
17
18 04 Oct 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.11.1.ebuild:
19 arm stable, bug #523322
20
21*PyQt4-4.11.2 (20 Sep 2014)
22
23 20 Sep 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2.ebuild,
24 PyQt4-4.11.1.ebuild:
25 Version bump. Silence harmless repoman warning.
26
27 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
28 Drop deprecated python versions.
29
30 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.3-r3.ebuild,
31 PyQt4-4.11.1.ebuild:
32 Stop using dohtml, remove old.
33
34 17 Jul 2014; Michael Palimaka <kensington@gentoo.org> -PyQt4-4.11.ebuild:
35 Remove old.
36
37*PyQt4-4.11.1 (15 Jul 2014)
38
39 15 Jul 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.1.ebuild,
40 PyQt4-4.11.ebuild:
41 Version bump.
42
43 20 Jun 2014; Ian Delaney <idella4@gentoo.org> PyQt4-4.10.3-r3.ebuild,
44 PyQt4-4.11.ebuild:
45 add py3.4 support req'd to support py packages such as pandas
46
47 30 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
48 PyQt4-4.10.3-r3.ebuild:
49 Restrict sip dep to =4.15* for older PyQt4 versions.
50
51*PyQt4-4.11 (30 May 2014)
52
53 30 May 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.ebuild:
54 Version bump.
55
56 21 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
57 PyQt4-4.10.3-r3.ebuild, metadata.xml:
58 Update pypi identifier in HOMEPAGE and <upstream> metadata tag. Thanks to
59 Martin Walch in bug 510812.
60
61 19 May 2014; Michał Górny <mgorny@gentoo.org> -PyQt4-4.10.2.ebuild,
62 -PyQt4-4.10.3.ebuild:
63 Drop the old versions that required python-exec:0.
64
65 02 Apr 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml:
66 Remove python herd as discussed with them.
67
68*PyQt4-4.10.3-r3 (27 Mar 2014)
69
70 27 Mar 2014; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r3.ebuild:
71 Replace manual Python wrapping with proper eclass functions, bug #484404.
72
73 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
74 Stable for sparc, wrt bug #495638
75
76 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
77 Stable for x86, wrt bug #495638
78
79 19 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
80 Stable for alpha, wrt bug #495638
81
82 18 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
83 Stable for ia64, wrt bug #495638
84
85 14 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
86 Stable for ppc64, wrt bug #495638
87
88 08 Mar 2014; Pacho Ramos <pacho@gentoo.org> PyQt4-4.10.3-r2.ebuild:
89 amd64 stable, bug 495638
90
91 02 Feb 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
92 Stable for ppc, wrt bug #495638
93
94 30 Jan 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.10.3-r2.ebuild:
95 arm stable, bug #495638
96
97 28 Dec 2013; Steve Arnold <nerdboy@gentoo.org>
98 files/PyQt4-4.7.3-qreal_float_support.patch:
99 Updated qreal_float patch to remove first hunk (already applied
100 upstream). Tested on arm chromebook; no existing bug.
101
102*PyQt4-4.10.3-r2 (25 Dec 2013)
103
104 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.3-r2.ebuild,
105 -PyQt4-4.10.3-r1.ebuild, metadata.xml:
106 Introduce USE="designer".
107
108 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r2.ebuild:
109 old
110
111 23 Dec 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
112 Stable for sparc, wrt bug #483112
113
114 31 Oct 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.2.ebuild,
115 PyQt4-4.10.3-r1.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
116 Update the ebuilds to dep on dev-lang/python-exec.
117
118 23 Oct 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.1.ebuild:
119 old
120
121*PyQt4-4.10.3-r1 (23 Oct 2013)
122
123 23 Oct 2013; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r1.ebuild:
124 Support python-exec:2.
125
126 19 Sep 2013; Ben de Groot <yngwin@gentoo.org> PyQt4-4.10.3.ebuild:
127 Depend on sip >=4.15.0 to fix build failure (bug #485274)
128
129 17 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
130 PyQt4-4.10.2.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
131 Add explicit dep on python-exec:0 since the package wraps the script manually.
132
133*PyQt4-4.10.3 (17 Sep 2013)
134
135 17 Sep 2013; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.10.3.ebuild:
136 Version bump
137
138 13 Sep 2013; Jonathan Callen <jcallen@gentoo.org> PyQt4-4.10.1.ebuild,
139 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
140 Add missing [${PYTHON_USEDEP}] on dbus-python DEPEND
141
142 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild:
143 arm stable, bug #483112
144
145 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
146 Stable for x86, wrt bug #483112
147
148 05 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
149 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
150 Clean up PYTHON_COMPAT from old implementations.
151
152 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
153 Stable for ppc64, wrt bug #483112
154
155 04 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
156 Stable for ppc, wrt bug #483112
157
158 03 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
159 Stable for ia64, wrt bug #483112
160
161 02 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
162 Stable for alpha, wrt bug #483112
163
164 31 Aug 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
165 Stable for amd64, wrt bug #483112
166
167 22 Jul 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.1.ebuild,
168 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
169 Reorder Qt dependencies.
170
171 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
172 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
173 Fixing qtgui/designer deps for qt-4.8.5
174
175 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
176 PyQt4-4.9.6-r2.ebuild:
177 Fixing qtgui deps for qt-4.8.5
178
179 08 Jul 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.2.ebuild:
180 Remove wrong usedep for qtgui.
181
182*PyQt4-4.10.2 (24 Jun 2013)
183
184 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.2.ebuild:
185 Version bump.
186
187 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.ebuild,
188 PyQt4-4.10.1.ebuild:
189 Add PYTHON_REQUIRED_USE. Remove old.
190
191*PyQt4-4.10.1 (22 May 2013)
192
193 22 May 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.10.1.ebuild:
194 Version bump.
195
196 10 May 2013; Patrick Lauer <patrick@gentoo.org> metadata.xml:
197 Remove unused flag description from metadata
198
199 04 May 2013; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4-r1.ebuild,
200 -files/PyQt4-4.7.2-configure.py.patch,
201 -files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
202 old
203
204*PyQt4-4.10 (12 Mar 2013)
205
206 12 Mar 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.ebuild:
207 Version bump. Fix also bug #433944 by Franz Fellner.
208
209 11 Mar 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
210 Stable for sparc, wrt bug #457046
211
212 03 Mar 2013; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.4-r1.ebuild,
213 PyQt4-4.9.6-r2.ebuild:
214 Move Qt dependencies to the new category
215
216 21 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
217 Stable for ia64, wrt bug #457046
218
219 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
220 Stable for ppc64, wrt bug #457046
221
222 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
223 Stable for ppc, wrt bug #457046
224
225 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
226 Stable for alpha, wrt bug #457046
227
228 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
229 Stable for arm, wrt bug #457046
230
231 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
232 Stable for x86, wrt bug #457046
233
234 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
235 Stable for amd64, wrt bug #457046
236
237 15 Feb 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r2.ebuild:
238 BUILDDIR -> BUILD_DIR, fixes bug 457538 by ago.
239
240 13 Feb 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r1.ebuild,
241 -PyQt4-4.9.6.ebuild, PyQt4-4.9.6-r2.ebuild:
242 Fix double prefix; remove old.
243
244 04 Feb 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.9.6-r2.ebuild:
245 Use run_in_build_dir. Add python-3.3 support wrt bug #455020.
246
247*PyQt4-4.9.6-r2 (29 Jan 2013)
248
249 29 Jan 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.9.6-r2.ebuild:
250 Migrate to the new python eclass.
251
252 27 Dec 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r1.ebuild:
253 Improve pyqt4_use_enable() as suggested by Arfrever.
254
255 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.5.ebuild:
256 old
257
258*PyQt4-4.9.6-r1 (26 Dec 2012)
259
260 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6-r1.ebuild,
261 metadata.xml:
262 EAPI=5 to be able to use slot operators in sip dependency. Sync USE flags with
263 pyside: rename assistant to help, add script and scripttools (bug 431460 by
264 Arfrever).
265
266*PyQt4-4.9.6 (10 Dec 2012)
267
268 10 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6.ebuild:
269 Version bump, with some minor updates from qt overlay.
270
271 22 Nov 2012; Markus Meier <maekke@gentoo.org> PyQt4-4.9.4-r1.ebuild:
272 arm stable, bug #435074
273
274 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4.ebuild,
275 PyQt4-4.9.4-r1.ebuild:
276 Promote 4.9.4-r1 bugfix rel ebuild to stable. Drop old
277
278 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.8.4.ebuild,
279 -PyQt4-4.9.1.ebuild:
280 Remove old
281
282*PyQt4-4.9.5 (05 Oct 2012)
283
284 05 Oct 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.5.ebuild:
285 Version bump
286
287 09 Sep 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.4.ebuild:
288 alpha/ia64/sparc stable wrt #429042
289
290*PyQt4-4.9.4-r1 (03 Sep 2012)
291
292 03 Sep 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4-r1.ebuild,
293 +files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
294 Apply upstream patch to fix regression in pyuic's handling of custom widgets
295 (bug 431070 by Laurent Bachelier).
296
297 20 Aug 2012; Johannes Huber <johu@gentoo.org> PyQt4-4.9.4.ebuild:
298 Stable for x86, wrt bug #429042
299
300 11 Aug 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.4.ebuild:
301 Stable for amd64, wrt bug #429042
302
303 11 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
304 Stable ppc64, bug #429042
305
306 10 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
307 Stable ppc, bug #429042
308
309 09 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild:
310 ia64 stable
311
312 09 Jul 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.8.1.ebuild,
313 -files/PyQt4-4.6.1-configure-multilib.patch:
314 Remove old.
315
316 08 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild,
317 PyQt4-4.9.4.ebuild:
318 alpha/ia64/sparc stable wrt #412929
319
320*PyQt4-4.9.4 (02 Jul 2012)
321
322 02 Jul 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4.ebuild,
323 -PyQt4-4.9.3.ebuild:
324 Version bump.
325
326*PyQt4-4.9.3 (27 Jun 2012)
327
328 27 Jun 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.3.ebuild,
329 -PyQt4-4.9.2.ebuild:
330 Version bump.
331
332 23 Jun 2012; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.2.ebuild:
333 Raise dev-python/sip dependency to 4.13.3 thanks to Arfrever
334
335*PyQt4-4.9.2 (21 Jun 2012)
336
337 21 Jun 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.2.ebuild:
338 Version bump
339
340 14 Jun 2012; Ben de Groot <yngwin@gentoo.org> PyQt4-4.8.1.ebuild:
341 Destabling to ~ia64 because last available stable qt will be masked pending
342 removal
343
344 23 May 2012; Jeff Horelick <jdhore@gentoo.org> PyQt4-4.9.1.ebuild:
345 marked x86 per bug 412929
346
347 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
348 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
349 Inherit eutils.
350
351 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
352 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
353 Revert previous change.
354
355 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
356 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
357 Restrict python 3.1 to match dev-python/dbus-python.
358
359 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
360 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
361
362 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
363 Migrating dev-util/pkgconfig -> virtual/pkgconfig
364
365 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
366 Stable for amd64, wrt bug #412929
367
368 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
369 Stable on alpha, bug #354033
370
371 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
372 PyQt4-4.8.4.ebuild:
373 PyQt4-4.8 does not build with sip-4.13, bug 407291
374
375 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
376 Slightly improve the ewarn message in pkg_postinst().
377
378 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
379 Put qt as the primary herd in metadata.
380
381 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
382 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
383 <slong@rathaus.eclipse.co.uk> in bug #407281.
384
385 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
386 Switch to EAPI 4, add REQUIRED_USE.
387
388 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
389 PyQt4-4.8.4.ebuild:
390 Drop ~x86-fbsd because of unkeyworded dependencies.
391
392 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
393 Don't enable QtAssistant module because it was removed in qt-4.7 and we
394 already depend on 4.7.2 or later.
395
396 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
397 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
398 Restrict pypy for older versions too.
399
400 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
401 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
402 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
403 version.
404
405 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
406 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
407 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
408 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
409 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
410 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
411
412 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
413 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
414 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
415 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
416 Fixing pypy restricts to actually work
417
418*PyQt4-4.9.1 (12 Feb 2012)
419
420 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
421 version bump
422
423 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
424 builds with qt-opengl-4.8.0[egl], updated dep
425
426 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
427 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
428 Fixes backported from Progress Overlay. Patch by Arfrever.
429
430*PyQt4-4.9 (24 Dec 2011)
431
432 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
433 Version bump
434
435*PyQt4-4.8.6 (11 Nov 2011)
436
437 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
438 Version bump
439
440 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
441 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
442 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
443 python overlay.
444
445*PyQt4-4.8.5 (19 Aug 2011)
446
447 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
448 Version bump
449
450 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
451 ppc/ppc64 stable wrt #374591
452
453 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
454 x86 stable, bug #374591
455
456 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
457 ppc64 stable wrt #354033
458
459 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
460 Stable on amd64 wrt bug #374591
461
462 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
463 Marking PyQt4-4.8.3 ppc stable for bug 354033
464
465 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
466 Stable on amd64 wrt bug #354033
467
468 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
469 x86 stable per bug 354033
470
471*PyQt4-4.8.4 (02 May 2011)
472
473 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
474 +PyQt4-4.8.4.ebuild:
475 Version bump.
476
477 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
478 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
479 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
480 Adapt phonon dependency for package move
481
482 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
483 ppc64 stable wrt #349607
484
485 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
486 ia64/sparc stable wrt #349607
487
488 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
489 Stable on alpha, bug #349607
490
491 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
492 PyQt4-4.8.3.ebuild:
493 Update dependencies (bug #353053).
494
495*PyQt4-4.8.3 (25 Jan 2011)
496
497 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
498 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
499 Version bump.
500
501 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
502 x86 stable wrt bug #349607
503
504 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
505 Marking PyQt4-4.8.1 ppc stable for bug 349607
506
507 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
508 Stable on amd64 wrt bug #349607
509
510 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
511 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
512 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
513
514*PyQt4-4.8.1-r1 (30 Dec 2010)
515
516 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
517 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
518 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
519
520 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
521 PyQt4-4.8.2.ebuild:
522 Fix dependencies (bug #349672).
523
524*PyQt4-4.8.2 (24 Dec 2010)
525
526 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
527 +PyQt4-4.8.2.ebuild:
528 Version bump.
529
530 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
531 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
532 Restrict Jython ABIs.
533
534 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
535 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
536 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
537 -files/configure.py.patch:
538 Delete.
539
540 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
541 old, depends on qt 4.5
542
543 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
544 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
545 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
546 Remove HPPA keywording (bug #239441).
4 547
5*PyQt4-4.8.1 (30 Oct 2010) 548*PyQt4-4.8.1 (30 Oct 2010)
6 549
7 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org> 550 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
8 +PyQt4-4.8.1.ebuild: 551 +PyQt4-4.8.1.ebuild:
546*PyQt4-4.0_beta1 (05 May 2006) 1089*PyQt4-4.0_beta1 (05 May 2006)
547 1090
548 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml, 1091 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml,
549 +PyQt4-4.0_beta1.ebuild: 1092 +PyQt4-4.0_beta1.ebuild:
550 initial import, from bug #121554 1093 initial import, from bug #121554
551

Legend:
Removed from v.1.133  
changed lines
  Added in v.1.272

  ViewVC Help
Powered by ViewVC 1.1.20